--
-- AutoRepair V1.0.0.0
-- Copyright (C) Bobster82
-- gendert Allse

autorepair = {};


function autorepair.prerequisitesPresent(specializations)
    return true;
end;


function autorepair:loadMap(name)
	-- Repair flag
	autorepair.repair = true;
end;


function autorepair:update(dt)

	-- Auto repair all 2 hours.
	if g_currentMission.environment.currentHour == 0 or g_currentMission.environment.currentHour == 2 or g_currentMission.environment.currentHour == 4 or g_currentMission.environment.currentHour == 6 or g_currentMission.environment.currentHour == 8 or g_currentMission.environment.currentHour == 10 or g_currentMission.environment.currentHour == 12 or g_currentMission.environment.currentHour == 14 or g_currentMission.environment.currentHour == 16 or g_currentMission.environment.currentHour == 18 or g_currentMission.environment.currentHour == 20 or g_currentMission.environment.currentHour == 22 and autorepair.repair then
		for _, vehicle in pairs(g_currentMission.vehicles) do
			if vehicle.ownerFarmId ~= 0 then		
				vehicle:repairVehicle(true);
			end;
		end;
		-- Repair flag to false, only 1 time repairing needed.
		autorepair.repair = false;
	end;

	-- Set the repair flag to true when hour is not 0.
	if g_currentMission.environment.currentHour ~= 0 and not autorepair.repair then
		autorepair.repair = true;
	end;
end;


addModEventListener(autorepair);
